# This is just a compatibility package that eases transition between
# libgladeui sonames. Do not try to compile anything against it.
%define ver_major 3.4
%define _name glade3

Name:    libgladeui%ver_major
License: LGPL
URL:     http://glade.gnome.org/

Version: 3.4.5
Release: alt1.1

Source: %_name-%version.tar.bz2

Provides: libgladeui = %version-%release
Obsoletes: libgladeui < 3.4.5-alt1.1

BuildPreReq: intltool desktop-file-utils gnome-doc-utils libgtk+2-devel python-dev python-modules-compiler python-module-pygtk-devel python-module-pygnome-devel

# Automatically added by buildreq on Tue Aug 14 2007
BuildRequires: gcc-c++ glibc-devel gnome-doc-utils-xslt gtk-doc libgnomeui-devel libSM-devel perl-XML-Parser

Summary: GTK+ / GNOME 3 widget builder library
Group:   System/Legacy libraries

%description
Glade 3 is a Widget builder for Gtk/gnome.
It allows to create a gtk/gnome interface files
that can be loaded with libglade.

This is library that can be used for embed builder
into other application. It is a legacy version of the library;
do not install it manually, unless you know what you are doing
(it may be installed as a dependency, however).

%prep
%setup -q -n %_name-%version

%build
%configure --disable-dependency-tracking --disable-scrollkeeper --disable-gtk-doc
%make_build

%install
%makeinstall

%files
%_libdir/*.so.*

%changelog
* Tue Apr 14 2009 Alexey Rusakov <ktirf@altlinux.org> 3.4.5-alt1.1
- Stripped down compatibility version of libgladeui (no glade3, no -devel,
  no translations - just a library). Needs libgladeui3.6 to work :)

* Fri May 09 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 3.4.5-alt1
- 3.4.5

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 3.4.3-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for glade3

* Tue Mar 11 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 3.4.3-alt1
- 3.4.3

* Mon Jan 14 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 3.4.1-alt1
- 3.4.1

* Thu Sep 20 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 3.4.0-alt1
- 3.4.0

* Tue Aug 14 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 3.2.2-alt2
- Build fix

* Tue May 29 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 3.2.2-alt1
- 3.2.2

* Mon May 07 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 3.2.1-alt1
- 3.2.1

* Wed Mar 14 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 3.2.0-alt0.1
- 3.2.0

* Wed Dec 20 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 3.0.3-alt1
- 3.0.3

* Tue Oct 03 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 3.0.2-alt1
- 3.0.2

* Mon Aug 28 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 3.0.1-alt1
- 3.0.1 (bugfixes)

* Tue Aug 15 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 3.0.0-alt0.1
- Initial release
